package com.steerinfo.dil.controller;


import com.steerinfo.dil.service.impl.RmsMaterialSingleWeightServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/rmsMaterialSingleWeight")
public class RmsMaterialSingleWeightController extends BaseRESTfulController {

    @Resource
    RmsMaterialSingleWeightServiceImpl rmsMaterialSingleWeightService;

    @Resource
    ColumnDataUtil columnDataUtil;



    @ApiOperation(value="框计算物资种类", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "376", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getMaterialSingleWeightList")
    public RESTfulResult getMaterialSingleWeightList(@RequestBody(required = false) Map<String,Object> mapValue,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize,
                                             String con){
        if (mapValue==null){
            mapValue=new HashMap<>();
        }
        if (con != null && !"null".equals(con)){
            mapValue.put("con","%" + con + "%");
        }
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = rmsMaterialSingleWeightService.getMaterialSingleWeightList(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, null, columnList);
        return success(data);
    }
}
