package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

@ApiModel(value="直发城市维护")
public class RmsDirectlySentCity implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PRIMARY_KEY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal primaryKeyId;

    /**
     * 直发名字(DIRECTLY_SENT_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="直发名字",required=false)
    private String directlySentName;

    /**
     * 市城市(DISTRICT_CITY,VARCHAR,255)
     */
    @ApiModelProperty(value="市城市",required=false)
    private String districtCity;

    /**
     * 县镇城市(TOWN_CITY,VARCHAR,255)
     */
    @ApiModelProperty(value="县镇城市",required=false)
    private String townCity;

    /**
     * 地点名称(PLACE,VARCHAR,255)
     */
    @ApiModelProperty(value="地点名称",required=false)
    private String place;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 备注(REMARK,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String remark;

    /**
     * 备用字段1(ALTERNATE_FIELDS1,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段1",required=false)
    private String alternateFields1;

    /**
     * 备用字段2(ALTERNATE_FIELDS2,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段2",required=false)
    private String alternateFields2;

    /**
     * 备用字段3(ALTERNATE_FIELDS3,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段3",required=false)
    private String alternateFields3;

    /**
     * 备用字段4(ALTERNATE_FIELDS4,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段4",required=false)
    private String alternateFields4;

    /**
     * 备用字段5(ALTERNATE_FIELDS5,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段5",required=false)
    private String alternateFields5;

    /**
     * 备用字段6(ALTERNATE_FIELDS6,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段6",required=false)
    private String alternateFields6;

    /**
     * 备用字段7(ALTERNATE_FIELDS7,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段7",required=false)
    private String alternateFields7;

    /**
     * 备用字段8(ALTERNATE_FIELDS8,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段8",required=false)
    private String alternateFields8;

    /**
     * 省(PROVINCE_CITY,VARCHAR,255)
     */
    @ApiModelProperty(value="省",required=false)
    private String provinceCity;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.primaryKeyId;
    }

    @Override
    public void setId(BigDecimal primaryKeyId) {
        this.primaryKeyId = primaryKeyId;
    }

    public BigDecimal getPrimaryKeyId() {
        return primaryKeyId;
    }

    public void setPrimaryKeyId(BigDecimal primaryKeyId) {
        this.primaryKeyId = primaryKeyId;
    }

    public String getDirectlySentName() {
        return directlySentName;
    }

    public void setDirectlySentName(String directlySentName) {
        this.directlySentName = directlySentName == null ? null : directlySentName.trim();
    }

    public String getDistrictCity() {
        return districtCity;
    }

    public void setDistrictCity(String districtCity) {
        this.districtCity = districtCity == null ? null : districtCity.trim();
    }

    public String getTownCity() {
        return townCity;
    }

    public void setTownCity(String townCity) {
        this.townCity = townCity == null ? null : townCity.trim();
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place == null ? null : place.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getAlternateFields1() {
        return alternateFields1;
    }

    public void setAlternateFields1(String alternateFields1) {
        this.alternateFields1 = alternateFields1 == null ? null : alternateFields1.trim();
    }

    public String getAlternateFields2() {
        return alternateFields2;
    }

    public void setAlternateFields2(String alternateFields2) {
        this.alternateFields2 = alternateFields2 == null ? null : alternateFields2.trim();
    }

    public String getAlternateFields3() {
        return alternateFields3;
    }

    public void setAlternateFields3(String alternateFields3) {
        this.alternateFields3 = alternateFields3 == null ? null : alternateFields3.trim();
    }

    public String getAlternateFields4() {
        return alternateFields4;
    }

    public void setAlternateFields4(String alternateFields4) {
        this.alternateFields4 = alternateFields4 == null ? null : alternateFields4.trim();
    }

    public String getAlternateFields5() {
        return alternateFields5;
    }

    public void setAlternateFields5(String alternateFields5) {
        this.alternateFields5 = alternateFields5 == null ? null : alternateFields5.trim();
    }

    public String getAlternateFields6() {
        return alternateFields6;
    }

    public void setAlternateFields6(String alternateFields6) {
        this.alternateFields6 = alternateFields6 == null ? null : alternateFields6.trim();
    }

    public String getAlternateFields7() {
        return alternateFields7;
    }

    public void setAlternateFields7(String alternateFields7) {
        this.alternateFields7 = alternateFields7 == null ? null : alternateFields7.trim();
    }

    public String getAlternateFields8() {
        return alternateFields8;
    }

    public void setAlternateFields8(String alternateFields8) {
        this.alternateFields8 = alternateFields8 == null ? null : alternateFields8.trim();
    }

    public String getProvinceCity() {
        return provinceCity;
    }

    public void setProvinceCity(String provinceCity) {
        this.provinceCity = provinceCity == null ? null : provinceCity.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", primaryKeyId=").append(primaryKeyId);
        sb.append(", directlySentName=").append(directlySentName);
        sb.append(", districtCity=").append(districtCity);
        sb.append(", townCity=").append(townCity);
        sb.append(", place=").append(place);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", remark=").append(remark);
        sb.append(", alternateFields1=").append(alternateFields1);
        sb.append(", alternateFields2=").append(alternateFields2);
        sb.append(", alternateFields3=").append(alternateFields3);
        sb.append(", alternateFields4=").append(alternateFields4);
        sb.append(", alternateFields5=").append(alternateFields5);
        sb.append(", alternateFields6=").append(alternateFields6);
        sb.append(", alternateFields7=").append(alternateFields7);
        sb.append(", alternateFields8=").append(alternateFields8);
        sb.append(", provinceCity=").append(provinceCity);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}