package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="物资理论单重维护表")
public class RmsMaterialSingleWeight implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PRIMARY_KEY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal primaryKeyId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 米数(METER,DECIMAL,38)
     */
    @ApiModelProperty(value="米数",required=false)
    private BigDecimal meter;

    /**
     * 单重(SINGLE_WEIGHT,DECIMAL,38)
     */
    @ApiModelProperty(value="单重",required=false)
    private BigDecimal singleWeight;

    /**
     * 备用字段1(ALTERNATE_FIELDS1,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段1",required=false)
    private String alternateFields1;

    /**
     * 备用字段2(ALTERNATE_FIELDS2,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段2",required=false)
    private String alternateFields2;

    /**
     * 备用字段3(ALTERNATE_FIELDS3,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段3",required=false)
    private String alternateFields3;

    /**
     * 备用字段4(ALTERNATE_FIELDS4,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段4",required=false)
    private String alternateFields4;

    /**
     * 备用字段5(ALTERNATE_FIELDS5,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段5",required=false)
    private String alternateFields5;

    /**
     * 备用字段6(ALTERNATE_FIELDS6,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段6",required=false)
    private String alternateFields6;

    /**
     * 备用字段7(ALTERNATE_FIELDS7,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段7",required=false)
    private String alternateFields7;

    /**
     * 备用字段8(ALTERNATE_FIELDS8,VARCHAR,255)
     */
    @ApiModelProperty(value="备用字段8",required=false)
    private String alternateFields8;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.primaryKeyId;
    }

    @Override
    public void setId(BigDecimal primaryKeyId) {
        this.primaryKeyId = primaryKeyId;
    }

    public BigDecimal getPrimaryKeyId() {
        return primaryKeyId;
    }

    public void setPrimaryKeyId(BigDecimal primaryKeyId) {
        this.primaryKeyId = primaryKeyId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getMeter() {
        return meter;
    }

    public void setMeter(BigDecimal meter) {
        this.meter = meter;
    }

    public BigDecimal getSingleWeight() {
        return singleWeight;
    }

    public void setSingleWeight(BigDecimal singleWeight) {
        this.singleWeight = singleWeight;
    }

    public String getAlternateFields1() {
        return alternateFields1;
    }

    public void setAlternateFields1(String alternateFields1) {
        this.alternateFields1 = alternateFields1 == null ? null : alternateFields1.trim();
    }

    public String getAlternateFields2() {
        return alternateFields2;
    }

    public void setAlternateFields2(String alternateFields2) {
        this.alternateFields2 = alternateFields2 == null ? null : alternateFields2.trim();
    }

    public String getAlternateFields3() {
        return alternateFields3;
    }

    public void setAlternateFields3(String alternateFields3) {
        this.alternateFields3 = alternateFields3 == null ? null : alternateFields3.trim();
    }

    public String getAlternateFields4() {
        return alternateFields4;
    }

    public void setAlternateFields4(String alternateFields4) {
        this.alternateFields4 = alternateFields4 == null ? null : alternateFields4.trim();
    }

    public String getAlternateFields5() {
        return alternateFields5;
    }

    public void setAlternateFields5(String alternateFields5) {
        this.alternateFields5 = alternateFields5 == null ? null : alternateFields5.trim();
    }

    public String getAlternateFields6() {
        return alternateFields6;
    }

    public void setAlternateFields6(String alternateFields6) {
        this.alternateFields6 = alternateFields6 == null ? null : alternateFields6.trim();
    }

    public String getAlternateFields7() {
        return alternateFields7;
    }

    public void setAlternateFields7(String alternateFields7) {
        this.alternateFields7 = alternateFields7 == null ? null : alternateFields7.trim();
    }

    public String getAlternateFields8() {
        return alternateFields8;
    }

    public void setAlternateFields8(String alternateFields8) {
        this.alternateFields8 = alternateFields8 == null ? null : alternateFields8.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", primaryKeyId=").append(primaryKeyId);
        sb.append(", materialId=").append(materialId);
        sb.append(", meter=").append(meter);
        sb.append(", singleWeight=").append(singleWeight);
        sb.append(", alternateFields1=").append(alternateFields1);
        sb.append(", alternateFields2=").append(alternateFields2);
        sb.append(", alternateFields3=").append(alternateFields3);
        sb.append(", alternateFields4=").append(alternateFields4);
        sb.append(", alternateFields5=").append(alternateFields5);
        sb.append(", alternateFields6=").append(alternateFields6);
        sb.append(", alternateFields7=").append(alternateFields7);
        sb.append(", alternateFields8=").append(alternateFields8);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}