package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsCapacityTypeMapper;
import com.steerinfo.dil.mapper.RmsMaterialCokeMapper;
import com.steerinfo.dil.mapper.RmsReceivingCompanyMapper;
import com.steerinfo.dil.mapper.RmsTransRangeMapper;
import com.steerinfo.dil.model.RmsCapacityType;
import com.steerinfo.dil.model.RmsMaterialCoke;
import com.steerinfo.dil.model.RmsReceivingCompany;
import com.steerinfo.dil.model.RmsTransRange;
import com.steerinfo.dil.service.IRmsCapacityTypeService;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * RmsCapacityType服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2023-02-03 09:55
 * 类描述
 * 修订历史：
 * 日期：2023-02-03
 * 作者：generator
 * 参考：
 * 描述：RmsCapacityType服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsCapacityTypeService")
public class RmsCapacityTypeServiceImpl extends BaseServiceImpl<RmsCapacityType, BigDecimal> implements IRmsCapacityTypeService {

    @Autowired
    private RmsCapacityTypeMapper rmsCapacityTypeMapper;

    @Autowired
    private RmsTransRangeMapper rmsTransRangeMapper;

    @Autowired
    private RmsMaterialCokeMapper rmsMaterialCokeMapper;

    @Autowired
    private RmsReceivingCompanyMapper rmsReceivingCompanyMapper;

    @Override
    protected IBaseMapper<RmsCapacityType, BigDecimal> getMapper() {
        return rmsCapacityTypeMapper;
    }

    @Override
    public List<Map<String,Object>> getRmsCapacityType(Map<String, Object> map) {
        return rmsCapacityTypeMapper.getRmsCapacityType(map);
    }

    @Override
    public int insertRmsCapacityType(Map<String, Object> map) {
        RmsCapacityType rmsCapacityType = new RmsCapacityType();
        rmsCapacityType.setCapacityTypeId(rmsCapacityTypeMapper.nextCapacityTypeId());
        rmsCapacityType.setCapacityTypeName(map.get("capacityTypeName").toString());
        rmsCapacityType.setWhetherCar(DataChange.dataToBigDecimal(map.get("whetherCar")));
        rmsCapacityType.setInsertTime(new Date());
        rmsCapacityType.setInsertUsername("admin");
        rmsCapacityType.setDeleted(new BigDecimal(0));
        return rmsCapacityTypeMapper.insertSelective(rmsCapacityType);
    }

    @Override
    public int deleteRmsCapacityType(BigDecimal id) {
        RmsCapacityType rmsCapacityType=new RmsCapacityType();
        rmsCapacityType.setCapacityTypeId(id);
        rmsCapacityType.setDeleted(new BigDecimal(1));
        return rmsCapacityTypeMapper.updateByPrimaryKeySelective(rmsCapacityType);
    }

    @Override
    public List<Map<String,Object>> getTransRange(Map<String, Object> map) {
        return rmsTransRangeMapper.getRmsTransRange(map);
    }

    @Override
    public int insertTransRange(RmsTransRange rmsTransRange) {
        if(rmsTransRange==null || rmsTransRange.getTransRangeValue()==null){
            return -1;
        }
        rmsTransRange.setTransRangeId(rmsTransRangeMapper.nextTransRangeId());
        return rmsTransRangeMapper.insert(rmsTransRange);
    }


    public List<Map<String,Object>> getMaterialCoke(Map<String, Object> map) {
        return rmsTransRangeMapper.getMaterialCoke(map);
    }


    public int insertMaterialCoke(Map<String, Object> map) {
        RmsMaterialCoke rmsMaterialCoke=new RmsMaterialCoke();
        rmsMaterialCoke.setMaterialCokeId(rmsMaterialCokeMapper.nextId());
        rmsMaterialCoke.setMaterialCokeName(""+map.get("materialCokeName"));
        rmsMaterialCoke.setInsertTime(new Date());
        rmsMaterialCoke.setDeleted(new BigDecimal(0));
        return rmsMaterialCokeMapper.insertSelective(rmsMaterialCoke);
    }


    public int deleteMaterialCoke(BigDecimal id) {
        RmsMaterialCoke rmsMaterialCoke=new RmsMaterialCoke();
        rmsMaterialCoke.setMaterialCokeId(id);
        rmsMaterialCoke.setDeleted(new BigDecimal(1));
        return rmsMaterialCokeMapper.updateByPrimaryKeySelective(rmsMaterialCoke);
    }

    public List<Map<String,Object>> getReceivingCompany(Map<String, Object> map) {
        return rmsReceivingCompanyMapper.getReceivingCompany(map);
    }


    public int insertReceivingCompany(Map<String, Object> map) {
        RmsReceivingCompany receivingCompany=new RmsReceivingCompany();
        receivingCompany.setCompanyId(rmsReceivingCompanyMapper.nextId());
        receivingCompany.setCompanyCode(""+map.get("companyCode"));
        receivingCompany.setCompanyName(""+map.get("companyName"));
        receivingCompany.setInsertTime(new Date());
        receivingCompany.setDeleted(new BigDecimal(0));
        return rmsReceivingCompanyMapper.insertSelective(receivingCompany);
    }


    public int deleteReceivingCompany(BigDecimal id) {
        RmsReceivingCompany receivingCompany=new RmsReceivingCompany();
        receivingCompany.setCompanyId(id);
        receivingCompany.setDeleted(new BigDecimal(1));
        return rmsReceivingCompanyMapper.updateByPrimaryKeySelective(receivingCompany);
    }
}
